#
# spec file for package rubygem-sinatra
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
Name:           rubygem-sinatra
Version:        1.2.8
Release:        2.1
%define mod_name sinatra
#
Group:          Development/Languages/Ruby
License:        X11/MIT
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  rubygems_with_buildroot_patch
%rubygems_requires
BuildRequires:  rubygem-rack >= 1.1
Requires:       rubygem-rack >= 1.1
BuildRequires:  rubygem-tilt >= 1.2.2
Requires:       rubygem-tilt >= 1.2.2
BuildRequires:  rubygem-tilt < 2.0
Requires:       rubygem-tilt < 2.0
#
Url:            http://sinatra.rubyforge.org
Source:         %{mod_name}-%{version}.gem
#
Summary:        Classy web-development dressed in a DSL
%description
Classy web-development dressed in a DSL

%package doc
Summary:        RDoc documentation for %{mod_name}
Group:          Development/Languages/Ruby
License:        X11/MIT
Requires:       %{name} = %{version}
%description doc
Documentation generated at gem installation time.
Usually in RDoc and RI formats.


%package testsuite
Summary:        Test suite for %{mod_name}
Group:          Development/Languages/Ruby
License:        X11/MIT
Requires:       %{name} = %{version}
%description testsuite
Test::Unit or RSpec files, useful for developers.


%prep
%build
%install
%gem_install %{S:0}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/ruby/gems/%{rb_ver}/cache/%{mod_name}-%{version}.gem
%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_name}-%{version}/
%exclude %{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_name}-%{version}/test
%{_libdir}/ruby/gems/%{rb_ver}/specifications/%{mod_name}-%{version}.gemspec

%files doc
%defattr(-,root,root,-)
%doc %{_libdir}/ruby/gems/%{rb_ver}/doc/%{mod_name}-%{version}/

%files testsuite
%defattr(-,root,root,-)
%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_name}-%{version}/test

%changelog
* Sat Dec 14 2013 cs@linux-administrator.com
- update to version 1.2.9
* Fri Mar  4 2011 fcastelli@novell.com
- Updated to version 1.2
* Wed Dec  1 2010 saschpe@gmx.de
- update to version 1.1
  - allows to render 'slim' templates
  - Tilt as a seperate dependency
  - translation updates
* Mon Jun 14 2010 mrueckert@suse.de
- update to version 1.0
  Sinatra reached 1.0, breaking backward compatibility for the
  first time in two years.
  For more see http://www.sinatrarb.com/one-oh-faq and
  /usr/lib*/ruby/gems/1.8/gems/sinatra-1.0/CHANGES
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Fri Dec 25 2009 prusnak@suse.cz
- updated to 0.9.4
